diff --git a/game/core/src/main/java/net/minecraft/core/entity/player/Player.java b/game/core/src/main/java/net/minecraft/core/entity/player/Player.java
index 4d46bf2ca..5165626fb 100644
--- a/game/core/src/main/java/net/minecraft/core/entity/player/Player.java
+++ b/game/core/src/main/java/net/minecraft/core/entity/player/Player.java
@@ -350,372 +335,294 @@ public abstract class Player
     }
 
     @Override
-	public void rideTick()
-    {
-        double xdO = x;
-        double ydO = y;
-        double zdO = z;
+    public void rideTick() {
+        double xdO = this.x;
+        double ydO = this.y;
+        double zdO = this.z;
         super.rideTick();
-        addMountedMovementStat(x - xdO, y - ydO, z - zdO);
+        addMountedMovementStat(this.x - xdO, this.y - ydO, this.z - zdO);
     }
 
     @Override
-	public void resetPos()
-    {
+    public void resetPos() {
         setupScale();
         setHealthRaw(getMaxHealth());
-        deathTime = 0;
+        this.deathTime = 0;
         super.resetPos();
     }
 
     @Override
-    protected void updateAI()
-    {
-        if(isSwinging)
-        {
-            swingProgressInt++;
-            if(swingProgressInt >= 8)
-            {
-                swingProgressInt = 0;
-                isSwinging = false;
+    protected void updateAI() {
+        if (this.isSwinging) {
+            this.swingProgressInt++;
+            if (this.swingProgressInt >= 8) {
+                this.swingProgressInt = 0;
+                this.isSwinging = false;
             }
-        } else
-        {
-            swingProgressInt = 0;
+        } else {
+            this.swingProgressInt = 0;
         }
-        swingProgress = (float)swingProgressInt / 8F;
+        this.swingProgress = (float) this.swingProgressInt / 8F;
     }
 
     @Override
-    public void onLivingUpdate()
-    {
-        if(world.getDifficulty() == Difficulty.PEACEFUL && getHealth() < getMaxHealth() && (tickCount % 20) * 12 == 0)
-        {
+    public void onLivingUpdate() {
+        if (this.world.getDifficulty() == Difficulty.PEACEFUL && getHealth() < getMaxHealth() && (this.tickCount % 20) * 12 == 0) {
             heal(1);
         }
 
-        inventory.decrementAnimations();
-        cameraVelocityOld = cameraVelocity;
+        this.inventory.decrementAnimations();
+        this.cameraVelocityOld = this.cameraVelocity;
         super.onLivingUpdate();
 
-        speed = baseSpeed;
-        flySpeed = baseFlySpeed;
-        if (isSprinting())
-        {
-            speed += (double)baseSpeed * 0.3;
-            flySpeed += (double)baseFlySpeed * 0.3;
+        this.speed = this.baseSpeed;
+        this.flySpeed = this.baseFlySpeed;
+        if (isSprinting()) {
+            this.speed += (double) this.baseSpeed * 0.3;
+            this.flySpeed += (double) this.baseFlySpeed * 0.3;
         }
 
-        double velocity = MathHelper.sqrt(xd * xd + zd * zd);
-        double pitch = (float) Math.atan(-yd * 0.2D) * 15F;
-        if(velocity > 0.1F)
-        {
+        double velocity = MathHelper.sqrt(this.xd * this.xd + this.zd * this.zd);
+        double pitch = (float) Math.atan(-this.yd * 0.2D) * 15F;
+        if (velocity > 0.1F) {
             velocity = 0.1F;
         }
-        if(!onGround || getHealth() <= 0)
-        {
+        if (!this.onGround || getHealth() <= 0) {
             velocity = 0.0F;
         }
-        if(onGround || getHealth() <= 0)
-        {
+        if (this.onGround || getHealth() <= 0) {
             pitch = 0.0F;
         }
-        cameraVelocity += (float) ((velocity - cameraVelocity) * 0.4F);
-        cameraPitch += (float) ((pitch - cameraPitch) * 0.8F);
+        this.cameraVelocity += (float) ((velocity - this.cameraVelocity) * 0.4F);
+        this.cameraPitch += (float) ((pitch - this.cameraPitch) * 0.8F);
 
 
         //clear death marker if player is within 16 blocks.
-        if(!dead) {
-            if (lastDeathPoint != null && distanceTo(lastDeathPoint.x, lastDeathPoint.y, lastDeathPoint.z) < 8D) {
-                lastDeathPoint = null;
+        if (!this.dead) {
+            if (this.lastDeathPoint != null && distanceTo(this.lastDeathPoint.x, this.lastDeathPoint.y, this.lastDeathPoint.z) < 8D) {
+                this.lastDeathPoint = null;
             }
         }
 
-        if(getHealth() > 0)
-        {
-            List<Entity> list = world.getEntitiesWithinAABBExcludingEntity(this, bb.grow(1.0D, 0.5D, 1.0D));
-            if(list != null)
-            {
-                for (Entity entity : list) {
-                    if (!entity.removed) {
-                        collideWithPlayer(entity);
-                    }
+        if (getHealth() > 0) {
+            List<Entity> list = this.world.getEntitiesWithinAABBExcludingEntity(this, MathHelper.aabbGrow(this.bb, 1.0D, 0.5D, 1.0D, new AABBd()));
+            for (Entity entity : list) {
+                if (!entity.removed) {
+                    collideWithPlayer(entity);
                 }
             }
         }
     }
-    
+
     @Override
     public void playHurtSound() {
-    	float pitch = 1.0f;
-    	if(world.getGameRuleValue(GameRules.DWARF_MODE)) {
-    		pitch = 2.0f;
-    	}
-        world.playSoundAtEntity(null, this, getHurtSound(), getSoundVolume(), (random.nextFloat() - random.nextFloat()) * 0.2F + pitch);
+        float pitch = 1.0f;
+        if (this.world.getGameRuleValue(GameRules.DWARF_MODE)) {
+            pitch = 2.0f;
+        }
+        this.world.playSoundAtEntity(null, this, getHurtSound(), getSoundVolume(), (this.random.nextFloat() - this.random.nextFloat()) * 0.2F + pitch);
     }
-    
+
     @Override
     public void playDeathSound() {
-    	float pitch = 1.0f;
-    	if(world.getGameRuleValue(GameRules.DWARF_MODE)) {
-    		pitch = 2.0f;
-    	}
-        world.playSoundAtEntity(null, this, getDeathSound(), getSoundVolume(), (random.nextFloat() - random.nextFloat()) * 0.2F + pitch);
+        float pitch = 1.0f;
+        if (this.world.getGameRuleValue(GameRules.DWARF_MODE)) {
+            pitch = 2.0f;
+        }
+        this.world.playSoundAtEntity(null, this, getDeathSound(), getSoundVolume(), (this.random.nextFloat() - this.random.nextFloat()) * 0.2F + pitch);
     }
 
     @Override
-    protected String getHurtSound()
-    {
-        return playerConfig.hurtSound().hurtSound;
+    protected String getHurtSound() {
+        return this.playerConfig.hurtSound().hurtSound;
     }
 
     @Override
-    protected String getDeathSound()
-    {
-        return playerConfig.hurtSound().deathSound;
+    protected String getDeathSound() {
+        return this.playerConfig.hurtSound().deathSound;
     }
 
-    private void collideWithPlayer(Entity entity)
-    {
+    private void collideWithPlayer(Entity entity) {
         entity.playerTouch(this);
         addStat(StatList.mobEncounterStats.get(entity.getDispatcherId()), 1);
     }
 
-    public int getScore()
-    {
-        return score;
+    public int getScore() {
+        return this.score;
     }
 
     @Override
-    public void onDeath(Entity entityKilledBy)
-    {
-        if (getGamemode().isPermaDeath()){
+    public void onDeath(Entity entityKilledBy) {
+        if (getGamemode().isPermaDeath()) {
             setGamemode(Gamemode.spectator);
         }
         super.onDeath(entityKilledBy);
         setSize(0.2F, 0.2F);
-        setPos(x, y, z);
-        lastDeathPoint = new TilePos(this);
-        yd = 0.1d;
-        if(UUID_MAK.equals(uuid) || username.equals("MaggAndGeez"))
-        {
+        setPos(this.x, this.y, this.z);
+        this.lastDeathPoint = new TilePos(this);
+        this.yd = 0.1d;
+        if (UUID_MAK.equals(this.uuid) || this.username.equals("MaggAndGeez")) {
             dropPlayerItemWithRandomChoice(new ItemStack(Items.AMMO_FIREBALL, 1), true);
-        }
-        else if (UUID_JONK.equals(uuid) || username.equals("jonkadelic"))
-        {
+        } else if (UUID_JONK.equals(this.uuid) || this.username.equals("jonkadelic")) {
             dropPlayerItemWithRandomChoice(new ItemStack(Items.FOOD_COOKIE, 1), true);
-        }
-        else if (UUID_SHIGN.equals(uuid) || username.equals("ShignBright"))
-        {
+        } else if (UUID_SHIGN.equals(this.uuid) || this.username.equals("ShignBright")) {
             dropPlayerItemWithRandomChoice(new ItemStack(Items.SIGN_PAINTED, 1, DyeColor.PINK.itemMeta), true);
-        }
-        else if((UUID_MELON.equals(uuid) || username.equals("MelonMojito")) || (UUID_WATERMELON.equals(uuid) || username.equals("WatermelonMojito")))
-        {
-            ItemStack melon = new ItemStack(Blocks.PUMPKIN, 1, random.nextInt(Short.MAX_VALUE / 2) + 1);
+        } else if ((UUID_MELON.equals(this.uuid) || this.username.equals("MelonMojito")) || (UUID_WATERMELON.equals(this.uuid) || this.username.equals("WatermelonMojito"))) {
+            ItemStack melon = new ItemStack(Blocks.PUMPKIN, 1, this.random.nextInt(Short.MAX_VALUE / 2) + 1);
             melon.setCustomName("Melon");
             melon.setCustomColor((byte) TextFormatting.LIME.id);
             dropPlayerItemWithRandomChoice(melon, true);
         }
 
-        if (!world.getGameRuleValue(GameRules.KEEP_INVENTORY))
-        {
-            craftingInventory.onCraftGuiClosed(this);
-            inventory.dropAllItems();
+        if (!this.world.getGameRuleValue(GameRules.KEEP_INVENTORY)) {
+            this.craftingInventory.onCraftGuiClosed(this);
+            this.inventory.dropAllItems();
         }
-        if (heldObject != null) { // TODO consider whether making the held object kept with keep inventory is a good idea
-            heldObject.drop(world, this);
-            heldObject = null;
+        if (this.heldObject != null) { // TODO consider whether making the held object kept with keep inventory is a good idea
+            this.heldObject.drop(this.world, this);
+            this.heldObject = null;
         }
 
-        if(entityKilledBy != null)
-        {
-            xd = -MathHelper.cos(((attackedAtYaw + yRot) * MathHelper.PI) / 180F) * 0.1F;
-            zd = -MathHelper.sin(((attackedAtYaw + yRot) * MathHelper.PI) / 180F) * 0.1F;
-        } else
-        {
-            xd = zd = 0.0D;
+        if (entityKilledBy != null) {
+            this.xd = -MathHelper.cos(((this.attackedAtYaw + this.yRot) * MathHelper.PI) / 180F) * 0.1F;
+            this.zd = -MathHelper.sin(((this.attackedAtYaw + this.yRot) * MathHelper.PI) / 180F) * 0.1F;
+        } else {
+            this.xd = this.zd = 0.0D;
         }
         addStat(StatList.deathsStat, 1);
     }
 
     @Override
-    public boolean sendDeathMessage(Entity entityKilledBy){
+    public boolean sendDeathMessage(Entity entityKilledBy) {
         return true;
     }
+
     @Override
-    public String getDeathMessage(Entity entityKilledBy){
-        if (random.nextInt(8000) == 666)
-        {
+    public String getDeathMessage(Entity entityKilledBy) {
+        if (this.random.nextInt(8000) == 666) {
             return getDisplayName() + deathMsgColor + " was killed by Herobrine.";
         }
-        if (entityKilledBy instanceof MobZombie)
-        {
-            if (entityKilledBy instanceof MobZombiePig)
-            {
+        if (entityKilledBy instanceof MobZombie) {
+            if (entityKilledBy instanceof MobZombiePig) {
                 return getDisplayName() + deathMsgColor + " discovered mob mentality.";
-            }
-            else
-            {
+            } else {
                 return getDisplayName() + deathMsgColor + " became a zombie.";
             }
         }
-        if (entityKilledBy instanceof MobCreeper)
-        {
+        if (entityKilledBy instanceof MobCreeper) {
             return deathMsgColor + "Aw man, " + getDisplayName() + deathMsgColor + " didn't see the creeper.";
         }
-        if (entityKilledBy instanceof MobSkeleton)
-        {
+        if (entityKilledBy instanceof MobSkeleton) {
             return getDisplayName() + deathMsgColor + " was a victim of aimbot.";
         }
-        if (entityKilledBy instanceof MobSpider)
-        {
+        if (entityKilledBy instanceof MobSpider) {
             return getDisplayName() + deathMsgColor + " spent too much time on the web.";
         }
-        if (entityKilledBy instanceof MobGhast)
-        {
+        if (entityKilledBy instanceof MobGhast) {
             return getDisplayName() + deathMsgColor + " didn't return the serve.";
         }
-        if (entityKilledBy instanceof MobSlime)
-        {
+        if (entityKilledBy instanceof MobSlime) {
             return getDisplayName() + deathMsgColor + " was slimed.";
         }
-        if (entityKilledBy instanceof MobWolf)
-        {
+        if (entityKilledBy instanceof MobWolf) {
             return getDisplayName() + deathMsgColor + " got what they deserved.";
         }
-        if (entityKilledBy instanceof ProjectileArrowGolden)
-        {
-            if (((ProjectileArrowGolden) entityKilledBy).owner instanceof Player)
-            {
-                if (((Player) ((ProjectileArrowGolden) entityKilledBy).owner).uuid.equals(uuid))
-                {
+        if (entityKilledBy instanceof ProjectileArrowGolden) {
+            if (((ProjectileArrowGolden) entityKilledBy).owner instanceof Player) {
+                if (((Player) ((ProjectileArrowGolden) entityKilledBy).owner).uuid.equals(this.uuid)) {
                     return getDisplayName() + deathMsgColor + " got gold in their eye.";
                 }
                 return getDisplayName() + deathMsgColor + " got pierced by " +
                     ((ProjectileArrow) entityKilledBy).owner.getDisplayName() + deathMsgColor + ".";
-            }
-            else
-            {
+            } else {
                 return getDisplayName() + deathMsgColor + " is Swiss cheese.";
             }
         }
-        if (entityKilledBy instanceof ProjectileArrow)
-        {
-            if (((ProjectileArrow) entityKilledBy).owner instanceof MobSkeleton)
-            {
+        if (entityKilledBy instanceof ProjectileArrow) {
+            if (((ProjectileArrow) entityKilledBy).owner instanceof MobSkeleton) {
                 return getDisplayName() + deathMsgColor + " was a victim of aimbot.";
-            }
-            else if (((ProjectileArrow) entityKilledBy).owner instanceof Player)
-            {
-                if (((Player) ((ProjectileArrow) entityKilledBy).owner).uuid.equals(uuid))
-                {
+            } else if (((ProjectileArrow) entityKilledBy).owner instanceof Player) {
+                if (((Player) ((ProjectileArrow) entityKilledBy).owner).uuid.equals(this.uuid)) {
                     return getDisplayName() + deathMsgColor + " lost a game of Russian roulette.";
                 }
                 return getDisplayName() + deathMsgColor + " got 360 noscoped by " +
                     ((ProjectileArrow) entityKilledBy).owner.getDisplayName() + deathMsgColor + ".";
-            }
-            else
-            {
+            } else {
                 return getDisplayName() + deathMsgColor + " is a pincushion.";
             }
         }
-        if (entityKilledBy instanceof ProjectileCannonball)
-        {
-            if (((ProjectileCannonball) entityKilledBy).owner instanceof Player)
-            {
-                if (((Player) ((ProjectileCannonball) entityKilledBy).owner).uuid.equals(uuid))
-                {
+        if (entityKilledBy instanceof ProjectileCannonball) {
+            if (((ProjectileCannonball) entityKilledBy).owner instanceof Player) {
+                if (((Player) ((ProjectileCannonball) entityKilledBy).owner).uuid.equals(this.uuid)) {
                     return getDisplayName() + deathMsgColor + " jumped too high.";
                 }
                 return getDisplayName() + deathMsgColor + " was fragmented by " +
                     ((ProjectileCannonball) entityKilledBy).owner.getDisplayName() + deathMsgColor + ".";
-            }
-            else
-            {
+            } else {
                 return getDisplayName() + deathMsgColor + " was detonated remotely.";
             }
         }
-        if (entityKilledBy instanceof ProjectileFireball)
-        {
+        if (entityKilledBy instanceof ProjectileFireball) {
             return getDisplayName() + deathMsgColor + " didn't return the serve.";
         }
-        if (entityKilledBy instanceof MobGiant)
-        {
+        if (entityKilledBy instanceof MobGiant) {
             return getDisplayName() + deathMsgColor + " was killed by- wait, what?!";
         }
-        if (entityKilledBy instanceof EntityLightning)
-        {
+        if (entityKilledBy instanceof EntityLightning) {
             return getDisplayName() + deathMsgColor + " was grounded.";
         }
-        if (entityKilledBy instanceof EntityPrimedTNT)
-        {
+        if (entityKilledBy instanceof EntityPrimedTNT) {
             return getDisplayName() + deathMsgColor + " was killed by Popbob.";
         }
-        if (entityKilledBy instanceof Player)
-        {
+        if (entityKilledBy instanceof Player) {
             return getDisplayName() + deathMsgColor + " was backstabbed by " + ((Player) entityKilledBy).getDisplayName() + deathMsgColor + ".";
         }
-        if (entityKilledBy instanceof MobPig)
-        {
+        if (entityKilledBy instanceof MobPig) {
             return getDisplayName() + deathMsgColor + " is *really* bad at Minecraft.";
-        }
-        else
-        {
-            if (world.getBlockMaterial(MathHelper.floor(x), MathHelper.floor(y), MathHelper.floor(z)) == Material.lava)
-            {
+        } else {
+            if (this.world.getBlockMaterial(MathHelper.floor(this.x), MathHelper.floor(this.y), MathHelper.floor(this.z)) == Materials.LAVA) {
                 return getDisplayName() + deathMsgColor + " got lost in the sauce.";
             }
-            if (world.getBlockId(MathHelper.floor(x), MathHelper.floor(y), MathHelper.floor(z)) == Blocks.SPIKES.id())
-            {
+            if (this.world.getBlockId(MathHelper.floor(this.x), MathHelper.floor(this.y), MathHelper.floor(this.z)) == Blocks.SPIKES.id()) {
                 return getDisplayName() + deathMsgColor + " fell for the trap.";
             }
-            if (fallDistance > 0)
-            {
+            if (this.fallDistance > 0) {
                 return getDisplayName() + deathMsgColor + " forgot to tie their laces.";
             }
-            if (airSupply <= 0)
-            {
+            if (this.airSupply <= 0) {
                 return getDisplayName() + deathMsgColor + " is sleeping with the fishes.";
             }
-            if (remainingFireTicks > 0)
-            {
+            if (this.remainingFireTicks > 0) {
                 return getDisplayName() + deathMsgColor + " was cooked well done.";
             }
             return getDisplayName() + deathMsgColor + " died mysteriously.";
         }
     }
-    
+
     @Override
-    protected void dropDeathItems()
-    {
+    protected void dropDeathItems() {
     }
 
     @Override
-	public void awardKillScore(Entity entity, int i)
-    {
-        score += i;
-        if(entity instanceof Player)
-        {
+    public void awardKillScore(Entity entity, int i) {
+        this.score += i;
+        if (entity instanceof Player) {
             addStat(StatList.playerKillsStat, 1);
-        } else
-        {
+        } else {
             addStat(StatList.mobKillsStat, 1);
         }
     }
 
-    public void dropCurrentItem(boolean dropFullStack)
-    {
-        dropPlayerItemWithRandomChoice(inventory.removeItem(inventory.getCurrentItemIndex(), dropFullStack ? 64 : 1), false);
+    public void dropCurrentItem(boolean dropFullStack) {
+        dropPlayerItemWithRandomChoice(this.inventory.removeItem(this.inventory.getCurrentItemIndex(), dropFullStack ? 64 : 1), false);
     }
 
-    public void dropPlayerItem(ItemStack itemstack)
-    {
+    public void dropPlayerItem(ItemStack itemstack) {
         dropPlayerItemWithRandomChoice(itemstack, false);
     }
 
-    public void setHotbarOffset(int offset)
-    {
-        inventory.setHotbarOffset(offset, false);
+    public void setHotbarOffset(int offset) {
+        this.inventory.setHotbarOffset(offset, false);
     }
 
     @Override
@@ -730,7 +637,7 @@ public abstract class Player
 
     @Override
     public boolean isPickable() {
-        if (getGamemode().canInteract()){
+        if (getGamemode().canInteract()) {
             return super.isPickable();
         }
         return false;
@@ -738,7 +645,7 @@ public abstract class Player
 
     @Override
     public boolean isPushable() {
-        if (getGamemode().canInteract()){
+        if (getGamemode().canInteract()) {
             return super.isPushable();
         }
         return false;
